Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services.javascript
Interface JavaScriptStack

All Known Implementing Classes:
  BeanValidatorStack, CoreJavaScriptStack, DateFieldStack, ExtensibleJavaScriptStack

    public interface JavaScriptStack

A high level description of a group of related JavaScript libraries and stylesheets. The built-in "core" stack is used to define the core JavaScript libraries needed by Tapestry (currently, this includes Prototype and Scriptaculous, as well as Tapestry-specific libraries). Other component libraries may define additional stacks for related sets of resources, for example, to bundle together some portion of the ExtJS or YUI libraries.

A JavaScript assets of a stack may (when enabled) be exposed to the client as a single URL (identifying the stack by name). The individual assets are combined into a single virtual asset, which is then streamed to the client.

Implementations may need to inject the `ThreadLocale` service in order to determine the current locale (if any of the JavaScript library or stylesheet assets are localized). They will generally need to inject the `AssetSource` service as well.

Since:
  5.2.0
See Also:
  `ThreadLocale`

Method Summary
`java.lang.String` | `getInitialization()` Returns static JavaScript initialization for the stack.
`java.util.List<Asset>` | `getJavaScriptLibraries()` Returns a list of localized assets for JavaScript libraries that form the stack.
`java.util.List<java.lang.String>` | `getStacks()` Returns a list of JavaScriptStack names that this stack depends on.
`java.util.List<StylesheetLink>` | `getStylesheets()` Returns a list of localized links for stylesheets that form the stack.

Method Detail

### getStacks

    java.util.List<java.lang.String> getStacks()

  Returns a list of JavaScriptStack names that this stack depends on. Each stack will be processed before the current stack (thus a dependency stack's libraries, stylesheets and initialization is emitted before the dependent stack).

### getJavaScriptLibraries

    java.util.List<Asset> getJavaScriptLibraries()

  Returns a list of localized assets for JavaScript libraries that form the stack.

### getStylesheets

    java.util.List<StylesheetLink> getStylesheets()

  Returns a list of localized links for stylesheets that form the stack.

### getInitialization

    java.lang.String getInitialization()

  Returns static JavaScript initialization for the stack. This block of JavaScript code will be added to the page that imports the stack. The code executes outside of any other function (i.e., the code is not deferred until the DOM is loaded). As with the other methods, if localization is a factor, the result of this method should be localized.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.